Mass Fortran rebuilds due to new GCC?

Kevin Fenzi kevin at scrye.com
Sun Feb 15 21:05:46 UTC 2015


On Fri, 13 Feb 2015 21:59:06 +0100
Björn Esser <bjoern.esser at gmail.com> wrote:

> Am Freitag, den 13.02.2015, 13:53 -0700 schrieb Kevin Fenzi:
> > On Fri, 13 Feb 2015 12:47:07 -0800
> > Susi Lehtola <jussilehtola at fedoraproject.org> wrote:
> > 
> > > Hi,
> > > 
> > > 
> > > as has happened many times before, the GCC bump in rawhide has
> > > broken all Fortran packages, desperately needing a mass rebuild.
> > 
> > Can you expand on the breakage? Is it that they no longer rebuild?
> > Or that they no longer run? 
> 
> I think, he's talking about the fact they are segfaulting…  ;)

Well, thats not really clear to me at least. "broken" is pretty generic
and vuage. 

> > > Unfortunately, rpm is blissfully unaware of any breakage happening
> > > (BZ #1192617) so maintainers won't even know when this breakage
> > > happens.
> > > 
> > > Before I start rebuilding packages, are there any plans to do the 
> > > rebuilds soon..?

I think the plan was to do one in rawhide as soon as gcc5 is ready. 
So, likely sometime in the next few weeks perhaps?

> > 
> > There is no mass rebuild this cycle. It would be good to isolate the
> > scope here and see what needs to be rebuilt. Do you have a list of
> > all affected packages or a way to come up with one?
> 
> Why is mass rebuild skipped this time?

Not enough time in the cycle. 
 
> For this particular case it is:  repoquery --whatrequires libgfortran

But it sounds like it's a subset of these (only those with .mod files)
that are actually affected?

So, something like: 

% repoquery -qf /usr/lib64/gfortran/modules/\*.mod | sort | uniq
elpa-mpich-devel-0:2013.11-5.008.fc22.x86_64
elpa-openmpi-devel-0:2013.11-5.008.fc22.x86_64
getdata-devel-0:0.8.6-1.fc22.x86_64
grib_api-devel-0:1.13.0-1.fc22.x86_64
hdf5-devel-0:1.8.14-1.fc22.x86_64
healpix-devel-0:2.13a-15.fc22.x86_64
libxc-devel-0:2.1.0-4.fc22.x86_64
netcdf-fortran-devel-0:4.4.1-1.fc22.x86_64
plplot-fortran-devel-0:5.10.0-17.fc22.x86_64
qd-devel-0:2.3.15-1.fc22.x86_64
wannier90-devel-0:2.0.0-3.fc22.x86_64

And then I suppose everything that buildrequires them? 

kevin
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <http://lists.fedoraproject.org/pipermail/devel/attachments/20150215/0f28f4b5/attachment.sig>


More information about the devel mailing list